import axios from 'axios'
 
 
const service = axios.create({
  timeout: 15000 // request timeout
})

 

// request interceptor
service.interceptors.request.use(
  config => {
    config.headers.master_id = '123456'
    config.headers.platform = 'wap'
  
    return config
  },
  response => {
    console.log(response, 'response')
  },
  error => {
    // Do something with request error
    console.log("出错啦",error) // for debug
  }
)

// response interceptor
service.interceptors.response.use(response => {
  return response.data
},
  error => {
    return Promise.reject( error.response )
  }
)



export default function request(param) {
  return new Promise((resolve, reject) => {
    service({
      url: param.url,
      method: param.method || 'GET',
      data: param.data
    }).then((result) => {
 
      resolve(result)
    }).catch((err) => {
 
      reject(err)
    });
  })
}


 